﻿using System.IO;
using MSqlProvider;

namespace MSql.Console
{
    class Program
    {
        static void Main(string[] args)
        {
            string code =
               @"module Contacts {
                            type Person {
                                Id : Integer32;
                                Name: Text;
                                Age: Integer32;
                            } where identity Id;
                            
                            People : Person*
                            {    
                                {Id = 1, Name=""Mehfuz"",Age=29}, 
                                {Id = 2, Name=""Steve"",Age=36}
                            };
                            Employee : Person*
                            {    
                                {Id = 1, Name=""John"",Age=30} 
                            };
                        }";


            SqlGenerator generator = SqlGenerator.Load(new StringReader(code));
            string sql = generator.Generate();

            System.Console.WriteLine(sql);
            System.Console.ReadLine();
        }
    }
}
