﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MSqlProvider
{
    public static class SqlHelper
    {
        public static void AppendGo(this StringBuilder builder)
        {
            builder.Append("\r\n");
            
            builder.Append("go");
            
            builder.Append("\r\n");
        }

        public static void AppendNewLine(this StringBuilder builder)
        {
            builder.Append("\r\n");
        }

        public static void AppendSetExtactAbort(this StringBuilder builder)
        {
            builder.Append("set xact_abort on;");
        }

        public static void AppendBeginTransaction(this StringBuilder builder)
        {
            builder.Append("begin transaction;");
        }

        public static void AppendCommitTransaction(this StringBuilder builder)
        {
            builder.Append("commit transaction;");
        }

        public static void AppendSetANSINulls(this StringBuilder builder)
        {
            builder.Append("set ansi_nulls on;");
        }

        public static void AppendIdentity(this StringBuilder builder, string typeName, string property)
        {
            builder.Append(string.Format("constraint [PK_{0}] primary key clustered ([{1}])", typeName, property));
        }
    }
}
